import {
  a as n,
  c
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/accesslog.js
var g = c((d, s) => {
  function i(e) {
    return e ? typeof e == "string" ? e : e.source : null;
  }
  n(i, "source");
  function r(...e) {
    return e.map((l) => i(l)).join("");
  }
  n(r, "concat");
  function t(...e) {
    return "(" + e.map((l) => i(l)).join("|") + ")";
  }
  n(t, "either");
  function o(e) {
    let a = [
      "GET",
      "POST",
      "HEAD",
      "PUT",
      "DELETE",
      "CONNECT",
      "OPTIONS",
      "PATCH",
      "TRACE"
    ];
    return {
      name: "Apache Access Log",
      contains: [
        // IP
        {
          className: "number",
          begin: /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}(:\d{1,5})?\b/,
          relevance: 5
        },
        // Other numbers
        {
          className: "number",
          begin: /\b\d+\b/,
          relevance: 0
        },
        // Requests
        {
          className: "string",
          begin: r(/"/, t(...a)),
          end: /"/,
          keywords: a,
          illegal: /\n/,
          relevance: 5,
          contains: [
            {
              begin: /HTTP\/[12]\.\d'/,
              relevance: 5
            }
          ]
        },
        // Dates
        {
          className: "string",
          // dates must have a certain length, this prevents matching
          // simple array accesses a[123] and [] and other common patterns
          // found in other languages
          begin: /\[\d[^\]\n]{8,}\]/,
          illegal: /\n/,
          relevance: 1
        },
        {
          className: "string",
          begin: /\[/,
          end: /\]/,
          illegal: /\n/,
          relevance: 0
        },
        // User agent / relevance boost
        {
          className: "string",
          begin: /"Mozilla\/\d\.\d \(/,
          end: /"/,
          illegal: /\n/,
          relevance: 3
        },
        // Strings
        {
          className: "string",
          begin: /"/,
          end: /"/,
          illegal: /\n/,
          relevance: 0
        }
      ]
    };
  }
  n(o, "accesslog");
  s.exports = o;
});

export {
  g as a
};
